org.encog.util.downsample

## Class SimpleIntensityDownsample

- java.lang.Object
- - org.encog.util.downsample.RGBDownsample
  - - org.encog.util.downsample.SimpleIntensityDownsample

- All Implemented Interfaces:
    Downsample

      public class SimpleIntensityDownsample
      extends RGBDownsample

  Downsample an image using a simple intensity scale. Color information is discarded.
  Author:
    jheaton

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleIntensityDownsample()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `downSample(Image image, int height, int width)` Called to downsample the image and store it in the down sample component.

    - ### Methods inherited from class org.encog.util.downsample.RGBDownsample

      `downSampleRegion, findBounds, getCurrentBlue, getCurrentGreen, getCurrentRed, getDownSampleBottom, getDownSampleLeft, getDownSampleRight, getDownSampleTop, getImageHeight, getImageWidth, getPixelMap, getRatioX, getRatioY, processImage, setCurrentBlue, setCurrentGreen, setCurrentRed, setPixelMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleIntensityDownsample

          public SimpleIntensityDownsample()

  - ### Method Detail

    - #### downSample

          public double[] downSample(Image image,
                            int height,
                            int width)

      Called to downsample the image and store it in the down sample component.
      Specified by:
        `downSample` in interface `Downsample`
      Overrides:
        `downSample` in class `RGBDownsample`
      Parameters:
        `image` - The image to downsample.
        `height` - The height to downsample to.
        `width` - THe width to downsample to.
      Returns:
        The downsampled image.

Copyright © 2014. All Rights Reserved.